Subject: The Last Time It “Worked” Before GLP-1
From: Dave Knapp from On The Pen <[email-masked]>
To: [email-masked]
Date: Sat, 11 Apr 2026 18:56:58 +0000
List-Id: <onthepen.substack.com>

View this post on the web at https://onthepen.substack.com/p/the-last-time-it-worked-before-glp

I’ve battled obesity my entire adult life. Not in a casual way, and not in a “I should probably lose a few pounds” kind of way, but in a way where it becomes part of how you think, how you plan your day, and how the world and people around you start to see you and treat you.
I remember the last time my weight was finally getting under control in a meaningful way, before GLP-1. I was eating 1200 to 1400 calories a day on a hospital sanctioned program. This was not me guessing or experimenting. It was structured, clinical, and designed to work if you followed it exactly. Even then I wanted to share about it, if that meant it was going to be helpful for others battling obesity too. In fact here is one of my earliest YouTube videos:
It was working. The scale was finally moving in a way it had not in years, and that feeling is hard to explain unless you have lived it. It feels like relief, like maybe you have finally figured something out that has been out of reach for a long time.
But there was a cost to it that I did not fully acknowledge at the time. The program food met modest protein requirements, but it was highly processed and never really felt like I ate a meal. I had headaches almost every day. I felt sluggish, constantly aware of hunger and saying “no”, and just off in a way that is difficult to describe but easy to recognize when you are in it.
Still, it was working, so I stayed with it. When something finally works to get weight off, you do not question it, you hold onto it. You know what I mean?
Then finally life stepped in. I was on a work trip, halfway across the country, when I got the call that something was wrong with my wife, who was seven months pregnant. It was serious enough that there was no hesitation. I got on a flight in the middle of the night and went home. I say “finally” because it seems like every weigh loss story has a “finally”… This is the part right before the wheels come off.
My wife ended up in the hospital for a full week, passing kidney stones one after another. I stayed with her the entire time. Inducing early labor was the big concern, so it was a terrifying time for us. The hospital was about an hour and a half from home, which meant there was no routine anymore, no structure, no “fuelings” (which was the feel-good label attached to these protein-laced mutant foods) and no way to maintain what I had been doing.
The hospital cafeteria might as well have been a fast food restaurant or kwik-E-mart. There was very little there that fit the program I had been following, and no realistic way to stay on track in a consistent way. So I ate what was available, because that is what the situation required and where my focus needed to be. 
I still have pictures in my camera roll from that hospital stay. I still remember feeling almost incredulous at the options that were available.
And just like that, it started to slip. All at once, the train was off the tracks. Not because I stopped caring, and not because I suddenly lost discipline, but because the system I was using had no flexibility when life changed.
That is what fighting obesity is like for so many people. You can follow the plan exactly and do everything right, and for a while it might even work, but if it only works under perfect conditions, it is incredibly difficult to hold onto when real life inevitably steps in.
That is why GLP-1 feels different. For the first time, it is not about forcing your entire life to fit a fragile system. It creates space. It gives you margin. It allows you to live your life and still maintain some control over your body.
If you have ever found yourself doing everything right and still watching it slip away the moment life got complicated, then you already understand why that matters.
What is the moment where things fell apart for you, even when you were doing everything right?

Unsubscribe https://substack.com/redirect/2/eyJlIjoiaHR0cHM6Ly9vbnRoZXBlbi5zdWJzdGFjay5jb20vYWN0aW9uL2Rpc2FibGVfZW1haWw_dG9rZW49ZXlKMWMyVnlYMmxrSWpveU56TTJNakl6T1Rnc0luQnZjM1JmYVdRaU9qRTVNemt3T1RJd05pd2lhV0YwSWpveE56YzFPVE16T0RNMExDSmxlSEFpT2pFNE1EYzBOams0TXpRc0ltbHpjeUk2SW5CMVlpMDBPREE0T1Rreklpd2ljM1ZpSWpvaVpHbHpZV0pzWlY5bGJXRnBiQ0o5LjhkNG9sVk82c2VfU1JYbldtQnFyYnNWNVhLX2VaeGxaaTdSN1ZWSGdqOEEiLCJwIjoxOTM5MDkyMDYsInMiOjQ4MDg5OTMsImYiOnRydWUsInUiOjI3MzYyMjM5OCwiaWF0IjoxNzc1OTMzODM0LCJleHAiOjIwOTE1MDk4MzQsImlzcyI6InB1Yi0wIiwic3ViIjoibGluay1yZWRpcmVjdCJ9.-00PXp-vLdGbcdrITXUOdcKwy-AhJinm0RGleffz-GI?